> For the complete documentation index, see [llms.txt](https://docs.stork.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stork.network/api-reference/contract-apis.md).

# Contract APIs

This section contains an enumeration of the available smart-contract APIs that can developers can use in their applications on and off-chain. These functions are primarily useful for two functions:

* Writing Stork signed updates for specific assets to the contract - typically from off-chain applications
* Reading latest values for specific assets from the contract - typically from on-chain applications

The following APIs are available for supported chains:

{% content-ref url="/pages/u3hUplPxNL8x96NWbvjT" %}
[EVM](/api-reference/contract-apis/evm.md)
{% endcontent-ref %}

{% content-ref url="/pages/ZOXtpJw4wuRWWpxUQUFL" %}
[Solana / SVM](/api-reference/contract-apis/solana.md)
{% endcontent-ref %}

{% content-ref url="/pages/fEllyuC9aI3T4YIzwhl9" %}
[Sui](/api-reference/contract-apis/sui.md)
{% endcontent-ref %}

{% content-ref url="/pages/jI9doLhv5RK4343OrUwM" %}
[Aptos](/api-reference/contract-apis/aptos.md)
{% endcontent-ref %}

{% content-ref url="/pages/tNfwLC7bAUdM5S2JZxnA" %}
[CosmWasm](/api-reference/contract-apis/cosmwasm.md)
{% endcontent-ref %}

{% content-ref url="/pages/1hxelbk85ML5E8tMDEIk" %}
[Fuel](/api-reference/contract-apis/fuel.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stork.network/api-reference/contract-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
